﻿@model DataAccess.Model.Message

<div class="container mx-auto dashboard-content">
    <div class="card mx-auto">
        <div class="card-header">
            <h4 class="text-center">Zpráva od uživatele @Model.UserName</h4>
        </div>
        <div class="p-4">
            <div class="mb-2">
                <!--Přesměrování na mailovou službu po stiskuntí odkazu-->
                <label>E-mail</label><br />
                @Html.DisplayFor(x => x.Sender)
            </div>
            <div class="mb-2">
                <label>Předmět</label><br>
                @if (@Model.Subject != null)
                {
                    @Model.Subject
                }
                else
                {
                    <p>Žádný</p>
                }
            </div>
            <div class="mb-2">
                <label>Zpráva</label><div></div>
                @Model.Text
            </div>
        </div>
    </div>
    @Ajax.ActionLink("Zpět na všechny zprávy", "Index", "Message", null, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-outline-primary mb-3" })
    @Ajax.ActionLink("Odstranit zprávu", "DeleteMessage", "Message", new { id = Model.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-outline-primary mb-3", onclick = "return confirm('Přejete si opravdu odstranit tuto zprávu?');" })
</div>